<configs>
	<!-- 
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	                                    THE A TEAMS DIRT DUSTER                                                                                             
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	-->
	<append xpath="/vehicles">

		<vehicle name="vehicleDirtDuster">
			<property name="cameraDistance" value="4.5, 5.5"/>
			<property name="cameraTurnRate" value=".2, .35"/>
			<property name="motorTorqueMinQ" value="7100"/>
			<property name="motorTorqueMaxQ" value="10700"/>
			<property name="brakeTorque" value="7500"/>
			<property name="upAngleMax" value="90"/>
			<property name="upForce" value="1"/>
			<property name="steerRate" value="350"/>
			<property name="steerCenteringRate" value="90"/>
			<property name="tiltAngleMax" value="47"/>
			<property name="tiltThreshold" value="0.01"/>
			<property name="tiltDampening" value=".92"/>
			<property name="tiltDampenThreshold" value="39"/>
			<property name="tiltUpForce" value=".85"/>
			<property name="hopForce" value="4.3,.07"/>
			<property name="unstickForce" value="1"/>
			<property name="velocityMax" value="17,19"/>
			<property name="waterDrag_y_velScale_velMaxScale" value="1.8, .9, .1"/>
			<property name="wheelPtlScale" value="1"/>

			<property name="hornSound" value="vehicleDirtDuster_Sound"/>

			<property class="battery">
				<property name="class" value="Battery"/>
				<property name="slot_type" value="battery"/>
				<property name="mesh" value="battery"/>
				<property name="transform" value="battery"/>
			</property>

			<property class="chassis">
				<property name="class" value="Chassis"/>
				<property name="display_name" value="chassis"/>
				<property name="slot_type" value="chassis"/>
				<property name="mesh" value="chassis"/>
				<property name="transform" value="Origin"/>
			</property>

			<property class="engine">
					<property name="class" value="Engine"/>
					<property name="foodDrain" value=".003,.003"/>
					<property name="slot_type" value="engine"/>
					<property name="mesh" value="engine_small"/>
					<property name="transform" value="engine_small"/>
					<property name="particle_transform" value="engine_small/MinibikeParticles/p_engine_fire"/>
					<property name="fuelKmPerL" value=".2"/>
					<property name="gear1" value="
					500,2500, -1400,800,0, 700,2000,900,
					Vehicles/Motorbike/motorbike_accel_1,
					,
					0, .7, 1, .1, -9, .15, .1, Vehicles/Motorbike/motorbike_idle_lp,
					-.3, .1, .1, .4, -.05, 9, .2, Vehicles/Motorbike/motorbike_run_lp
					"/>
					<property name="gear2" value="
					500,2500, -2000,1000,2000, 620,2200,800,
					Vehicles/Motorbike/motorbike_accel_2,
					Vehicles/Motorbike/motorbike_decel,
					-.2, -.02, .1, .2, -1, 1, .1, Vehicles/Motorbike/motorbike_run_lp
					"/>
					<property name="gear3" value="
					500,2500, -2000,1000,2000, 570,2200,1000,
					Vehicles/Motorbike/motorbike_accel_3,
					Vehicles/Motorbike/motorbike_decel,
					-.21, -.05, .1, .2, -1, 1, .1, Vehicles/Motorbike/motorbike_run_lp
					"/>
					<property name="gear4" value="
					500,2500, -2000,1000,2000, 500,9999,9999,
					,
					Vehicles/Motorbike/motorbike_decel,
					-.25, -.08, .55, .45, -1, 1, .1, Vehicles/Motorbike/motorbike_run_lp
					"/>
					<property name="sound_start" value="Vehicles/Motorbike/minibike_start_"/>
					<property name="sound_shut_off" value="Vehicles/Motorbike/minibike_shutoff_"/>
					<property name="sound_no_fuel_shut_off" value="Vehicles/Motorbike/motorbike_empty"/>
					<property name="parent_part" value="chassis"/>
			</property>

			<property class="fuelTank">
				<property name="class" value="FuelTank"/>
				<property name="parent_part" value="engine"/>
				<property name="capacity" value="250"/>
			</property>

			<property class="exhaust">
				<property name="class" value="Exhaust"/>
				<property name="particle_transform" value="engine_small/MinibikeParticles/p_engine"/>
			</property>

			<property class="handlebars">
				<property name="class" value="Steering"/>
				<property name="slot_type" value="handlebars"/>
				<property name="mesh" value="handlebar"/>
				<property name="transform" value="Origin/handlebar_joint"/>
				<property name="steerMaxAngle" value="15"/>
				<property name="IKHandLPosition" value="-.76, .03, .35"/>
				<property name="IKHandRPosition" value=".76, .03, .35"/> 
				<property name="IKHandLRotation" value="7.30321, -8.59375, 8.961643"/>
				<property name="IKHandRRotation" value="7.30321, 8.59375, -8.961643"/>
			</property>

			<property class="seat0">
				<property name="class" value="Seat"/>
				<property name="position" value="0, .2, 0.327"/>
				<property name="rotation" value="-25, 0, 0"/>
				<property name="exit" value="-.9,0,0 ~ .9,0,0 ~ 0,0,-1.5 ~ 0,0,1.6 ~ 0,1.5,0"/>
				<property name="IKFootLPosition" value="-.215, .34, -.31"/>
				<property name="IKFootRPosition" value=".215, .34, -.31"/>
				<property name="IKFootRRotation" value="30, 0, 0"/>
				<property name="IKFootLRotation" value="30, 0, 0"/>
			</property>
				
			<property class="seat1">
				<property name="class" value="Seat"/>
				<property name="position" value="0, .22, -.03"/>
				<property name="rotation" value="-26, 0, 0"/>
				<property name="exit" value="-2.6,0,0 ~ 2.6,0,-1 ~ -.4,0,-2.8 ~ -.4,0,2.6 ~ -.4,2.1,0"/>
				<property name="mod" value="1"/>
				<property name="IKHandLPosition" value="-.37, .27, .04"/>
				<property name="IKHandRPosition" value=".37, .27, .04"/>
				<property name="IKHandLRotation" value="41, -30, 18"/>
				<property name="IKHandRRotation" value="41, 30, -18"/>
				<property name="IKFootLPosition" value="-.205, .41, -.13"/>
				<property name="IKFootRPosition" value=".205, .41, -.13"/>
				<property name="IKFootRRotation" value="30, 0, 0"/>
				<property name="IKFootLRotation" value="30, 0, 0"/>
			</property>


			<property class="wheel0">
				<property name="steerTransform" value="Origin/handlebar_joint"/>
				<property name="tireTransform" value="Origin/handlebar_joint/frontWheel_joint"/>
				<property name="torqueScale_motor_brake" value=".25, .5"/>
			</property>

			<property class="wheel1">
				<property name="tireTransform" value="Origin/backWheelJoint"/>
				<property name="torqueScale_motor_brake" value="1, 1"/>
			</property>

			<property class="headlight">
				<property name="class" value="Headlight"/>
				<property name="parent_part" value="handlebars"/>
				<property name="transform" value="Origin/handlebar_joint/headlight"/>
				<property name="bright" value=".75"/>
			</property>

			<property class="headlight2">
				<property name="class" value="Headlight"/>
				<property name="transform" value="Origin/headlight2"/>
				<property name="bright" value=".75"/>
			</property>

			<property class="storage">
				<property name="class" value="Storage"/>
				<property name="display_name" value="basket"/>
				<property name="slot_type" value="basket"/>
				<property name="mesh" value="basket"/>
				<property name="transform" value="basket"/>
			</property>
		</vehicle>
	</append>
</configs>